%% delete_g1s
%    Same as delete_g2s but we are now deleting RCell with a
%    reference to the inputed cell in their Cell1
% inputs:
%   object:RGrid - reference to current RGrid
%   cell:Cell - reference to cell being deleted
% outputs;
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = delete_g1s(object,cell)
deleted = [];
for i=1:size(object.Cells,2)
    if (object.Cells(i).Cell1 == cell)
        deleted = [deleted i];
        
    end
end
if(~isempty(deleted))
    delete(object.Cells(deleted).result);
    object.Cells(deleted) = [];
end
end

